{badgeContent}: Generate a static badge

API: shields.io:shields
Endpoint: /badge/{badgeContent}
Response format: application/octet-stream
Auth: none
Method: GET
Last Status: 200
Latency: 202ms

Description

Generate a customizable static badge with a label, message, and color. The badge content is specified as label-message-color with hyphens as separators.

Parameters (5)

badgeContent (string, path, required)

Badge content in format 'label-message-color'. URL-encode spaces as %20 or use underscores. Colors can be named (brightgreen, green, yellow, orange, red, blue, etc.) or hex codes (e.g., ff0000).

labelColor (string, query, optional)

Background color for the label (left) side

logo (string, query, optional)

Logo to display on the badge (from Simple Icons)

logoColor (string, query, optional)

Logo color

style (string, query, optional)

Badge visual style

Constraints: {'enum': ['flat', 'flat-square', 'plastic', 'for-the-badge', 'social']}

Examples (1)

Generate a static badge openapi-spec
curl 'https://img.shields.io/badge/build-passing-brightgreen?style=flat&logo=github&logoColor=white&labelColor=grey'
import requests

resp = requests.get(
    "https://img.shields.io/badge/build-passing-brightgreen",
    params={
        'style': 'flat',
        'logo': 'github',
        'logoColor': 'white',
        'labelColor': 'grey',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("shields")
result = api.fetch("badge/{badgeContent}", style="flat", logo="github", logoColor="white", labelColor="grey")

for item in result:
    print(item)
const resp = await fetch("https://img.shields.io/badge/build-passing-brightgreen?style=flat&logo=github&logoColor=white&labelColor=grey");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:10:36.819107 200 202ms
2026-04-15 00:24:15.080649 200 234ms
2026-04-14 00:31:19.222401 200 244ms
2026-04-12 16:32:20.889395 200 278ms
2026-04-10 00:03:25.908205 200 197ms